
const btn1 = document.querySelector('#btnNombre');
btn1.addEventListener('click', () => {    
    Cargar();
})

async function Cargar() {    
    const datos = await CargarDatos('-1', 'nombre_completo');        
    await MostrarDatos(datos,'#nombre');
}

async function CargarDatos(id, q) {
    const url_fetch = './php/consulta.php';
    let searchData = new FormData()
    searchData.append('valor', id)
    searchData.append('query', q)

    const resultado = await fetch(url_fetch, {
        method: 'POST',
        body: searchData
    });
    const datos = await resultado.json();    
    return datos;
}

function MostrarDatos(resultado,div) {
    console.log('Promesa Cumplida');
    console.log(resultado);

    const div_nombre = document.querySelector(div);
    div_nombre.innerHTML = "";

    if (resultado.no_record === true) {
        div_nombre.innerHTML = "No encuentra registros"
    } else {
        for (const author of resultado) {
            div_nombre.innerHTML = div_nombre.innerHTML + `<p>${author.first_name} ${author.last_name}</p>`
        }
    }
}